package com.qmth.paper.library.business.bean.result;

import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description 扫描统计导出
 */
public class ScanStatExportResult implements Serializable {

    private static final long serialVersionUID = 1L;

    @ExcelColumn(name = "扫描员", index = 0)
    private String scanner;

    @ExcelColumn(name = "扫描图片(张)", index = 1)
    private int pictureCount;

    @ExcelColumn(name = "扫描学生数", index = 2)
    private int studentCount;

    @ExcelColumn(name = "扫描日期", index = 3)
    private String scanDateStr;

    @ApiModelProperty(value = "操作员ID")
    private Long createId;

    public String getScanner() {
        return scanner;
    }

    public void setScanner(String scanner) {
        this.scanner = scanner;
    }

    public int getPictureCount() {
        return pictureCount;
    }

    public void setPictureCount(int pictureCount) {
        this.pictureCount = pictureCount;
    }

    public int getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(int studentCount) {
        this.studentCount = studentCount;
    }

    public String getScanDateStr() {
        return scanDateStr;
    }

    public void setScanDateStr(String scanDateStr) {
        this.scanDateStr = scanDateStr;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }
}
